CREATE TABLE hwm_tm_cost_overrides (
    TM_COST_OVERRIDE_ID         NUMBER(18, 0),
    TM_COST_OVERRIDE_VERSION    NUMBER(9, 0) ,
    RESOURCE_ID                 NUMBER(18, 0)    NOT NULL,
    COST_DATE                   DATE             NOT NULL,
    START_TIME                  TIMESTAMP(6) ,
    STOP_TIME                   TIMESTAMP(6) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    LATEST_VERSION              VARCHAR2(4)      NOT NULL,
    DELETE_FLAG                 VARCHAR2(4)      NOT NULL,
    DATE_FROM                   TIMESTAMP(6)     NOT NULL,
    DATE_TO                     TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    TM_COST_OVERRIDE_ID         NUMBER(18, 0),
    TM_COST_OVERRIDE_VERSION    NUMBER(9, 0) ,
    RESOURCE_ID                 NUMBER(18, 0)    NOT NULL,
    COST_DATE                   DATE             NOT NULL,
    START_TIME                  TIMESTAMP(6) ,
    STOP_TIME                   TIMESTAMP(6) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    LATEST_VERSION              VARCHAR2(4)      NOT NULL,
    DELETE_FLAG                 VARCHAR2(4)      NOT NULL,
    DATE_FROM                   TIMESTAMP(6)     NOT NULL,
    DATE_TO                     TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    CONSTRAINT pk_hwm_tm_cost_overrides PRIMARY KEY (TM_COST_OVERRIDE_ID, TM_COST_OVERRIDE_VERSION, TM_COST_OVERRIDE_ID, TM_COST_OVERRIDE_VERSION)
);
